<?php
// File: $Id: backend.php,v 1.6 2004/08/23 10:01:49 markwest Exp $ $Name: HEAD $
// ----------------------------------------------------------------------
// PostNuke Content Management System
// Copyright (C) 2002 by the PostNuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Original Author of file:
// Purpose of file:
// ----------------------------------------------------------------------
// 06.20.02 ColdRolledSteel	Fixed bug 482633 (Display only homepage stories)
//				Fixed bug 449959 (Added image tags for RSS)
//				Fixed bug where language not displayed
//				Added webMaster, managingEditor tags
//                              Added $headline count so admin can control number
//				 of stories to be displayed
//				Added show_content to feed non-HTML content
//				Renamed from backend.php to rss_feed.php
//				Modules capitalized for early 0.711 naming convention

include 'includes/pnAPI.php';
pnInit();

$dbconn =& pnDBGetConn(true);
$pntable =& pnDBGetTables();

header("Content-Type: text/xml");

// get some config vars
$title = pnVarPrepForDisplay(pnConfigGetVar('sitename'));
$link = pnVarPrepForDisplay(pnGetBaseURL());
$description = pnVarPrepForDisplay(pnConfigGetVar('backend_title'));
$backend_language = pnVarPrepForDisplay(pnConfigGetVar('backend_language'));
$webmaster = pnVarPrepForDisplay(pnConfigGetVar('adminmail'));
$image_url = $link.'images/'.pnVarPrepForDisplay(pnConfigGetVar('site_logo'));
$image_title = $title;  // RSS parsers usually use this for the ALT tag on the image
$image_link = $link;  // RSS parsers usually use this as the link when users click on the image

// show_content controls whether hometext is included in the RSS feed.  
// This can only be done for text-only.  
// RSS chokes on HTML....
$headline_limit = 25; // Maximum value for Select
$managingeditor = "" ; // RSS Parsers sometimes use this, format: emailaddress (Full Name)

// we need to check the permissions on both Stories::Story and Topics::Topic component [larsneo]

// Base query
$storiescolumn = $pntable['stories_column'];
$storiescatcolumn= $pntable['stories_cat_column'];
$topicscolumn = $pntable['topics_column'];
   
$query = "SELECT $storiescolumn[aid] AS \"aid\",
                 $storiescolumn[catid] AS \"cid\",
                 $storiescatcolumn[title] AS \"cattitle\",
                 $storiescolumn[sid] AS \"sid\",
                 $topicscolumn[topicid] AS \"tid\",
                 $storiescolumn[title] AS \"title\",
                 $topicscolumn[topicname] AS \"topicname\",
				 $storiescolumn[hometext] AS \"hometext\"
          FROM 	 $pntable[stories]";
// Assume mysql start
$query .= " LEFT JOIN $pntable[stories_cat] ON $storiescolumn[catid] = $storiescatcolumn[catid]
			LEFT JOIN $pntable[topics] ON $storiescolumn[topic] = $topicscolumn[topicid]";
// Assume mysql end

// display only frontpage news in backend
$query .= " WHERE $storiescolumn[ihome] = 0";

// order results by time descending
$query .= " ORDER BY $storiescolumn[time] DESC";	


// with permissions in mind we can't use a SelectLimit clause
//$result = $dbconn->SelectLimit($sql,$headline_limit);
$result =& $dbconn->Execute($query);

// Error checking
if ($dbconn->ErrorNo() != 0) {
	return false;
}

// start the RSS output	
echo "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\n\n";
echo "<!DOCTYPE rss PUBLIC \"-//Netscape Communications//DTD RSS 0.91//EN\"\n";
echo " \"http://my.netscape.com/publish/formats/rss-0.91.dtd\">\n\n";
echo "<rss version=\"0.91\">\n\n";
echo "<channel>\n";
echo "<title>$title</title>\n";
echo "<link>$link</link>\n";
echo "<description>$description</description>\n";
echo "<language>$backend_language</language>\n";

	// Tried to make site searches work, but the Search module uses HTTP_POST/GET_VARS to determine
	// whether to display results and I couldn't munge the RSS content enough to make it work
	// reliably.  (This exercise is left to the advanced student. :*)
	//   echo "<textinput>\n";
	//   echo " <title>Search ".$title."</title>\n";
	//   echo " <name>op=modload&amp;name=Search&amp;file=index&amp;action=search&amp;active_stories=1&amp;Search</name>\n";
	//   echo " <link>".$link."/modules.php</link>\n";
	//   echo "</textinput>\n";

echo "<image>\n";
echo " <title>$image_title</title>\n";
echo " <url>$image_url</url>\n";
echo " <link>$image_link</link>\n";
echo "</image>\n";
echo "<webMaster>$webmaster</webMaster>\n";
if ($managingeditor != "") {
	echo "<managingEditor>$managingeditor</managingEditor>\n";
};

// start of dynamic output
$shown_results=0;
while((list($aid, $cid, $cattitle, $sid, $tid, $title, $topicname, $hometext) = $result->FetchRow()) 
	&& ($shown_results < $headline_limit) ){
	
	$title = pnVarPrepForDisplay($title);
	$link = pnVarPrepForDisplay(pnGetBaseURL() . "modules.php?op=modload&name=News&file=article&sid=$sid");
	$content = pnVarPrepForDisplay(strip_tags($hometext));
	
	// check author id
	if(!isset($aid)) {
		$aid = '';
	}
	
	// update category title
	if ($cid == 0) {
		// Default category
		$cattitle = ""._ARTICLES."";
	}

	// display with permission check
    if (pnSecAuthAction(0, 'Stories::Story', "$aid:$cattitle:$sid", ACCESS_READ) 
	 && pnSecAuthAction(0, 'Topics::Topic', "$topicname::$tid", ACCESS_READ) ) {

		$shown_results++;

		echo "<item>\n";
		echo "<title>$title</title>\n";
		echo "<link>$link</link>\n";
		echo "<description>$content</description>\n";
		echo "</item>\n";
	}
}
// end of dynamic output

echo "</channel>\n";
echo "</rss>\n";

?>