<?php // $Id: index.php,v 1.36 2004/08/18 20:26:24 larsneo Exp $ $Name: HEAD $
// ----------------------------------------------------------------------
// PostNuke Content Management System
// Copyright (C) 2001 by the PostNuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Original Author of file: Francisco Burzi
// Purpose of file: displays the FAQS
// ----------------------------------------------------------------------
// Based on Automated FAQ
// Copyright (c) 2001 by
//    Richard Tirtadji AKA King Richard (rtirtadji@hotmail.com)
//    Hutdik Hermawan AKA hotFix (hutdik76@hotmail.com)
// http://www.phpnuke.web.id
// ----------------------------------------------------------------------

if (!defined("LOADED_AS_MODULE")) {
         die ("You can't access this file directly...");
     }
/**
 * Credits to Edgar Miller -- http://www.bosna.de/ from his post on PHP-Nuke
 * (http://phpnuke.org/article.php?sid=2010&mode=nested&order=0&thold=0)
 * Further Credits go to Djordjevic Nebojsa (nesh) for the fix for the fix
 */

$ModName = basename( dirname( __FILE__ ) );

modules_get_language();

// Security check
if (!pnSecAuthAction(0, 'FAQ::', '::', ACCESS_READ)) {
	include 'header.php';
	echo _BADAUTHKEY;
	include 'footer.php';
	return;
}

function ShowFaq() {
	$id_cat = pnVarCleanFromInput('id_cat');

    if (!isset($id_cat) || !is_numeric($id_cat)) {
	    // markwest - removed unneeded call to header.php
		// results is path disclosure if invalid $id_cat
        //include 'header.php';
        echo _MODARGSERROR;
        include 'footer.php';
        exit;
    }
    
    $dbconn =& pnDBGetConn(true);
    $pntable =& pnDBGetTables();
    $column = &$pntable['faqcategories_column'];

    $currentlang = pnUserGetLang();

    if (pnConfigGetVar('multilingual') == 1) {
        $querylang = "AND ($column[flanguage]='".pnVarPrepForStore($currentlang)."' OR $column[flanguage]='')"; /* the OR is needed to display stories who are posted to ALL languages */
    } else {
    	$querylang = "";
    }
    
    // get catname for authcheck
    $presult =& $dbconn->Execute("SELECT $column[categories], $column[parent_id]
                                   FROM $pntable[faqcategories]
                                   WHERE $column[id_cat]='".(int)pnVarPrepForStore($id_cat)."' $querylang");
    list($categories, $parent_id) = $presult->fields;

    if (pnSecAuthAction(0,"FAQ::","$categories::$id_cat",ACCESS_READ)) {
	    OpenTable();
		echo "<div style=\"text-align:center\">"
			."<span class=\"pn-pagetitle\">".pnConfigGetVar('sitename').' '._FAQ2."</span>"
			."</div>"
			."<br />";
    	CloseTable();

    	OpenTable();

    	if (pnSecAuthAction(0,"FAQ::","$categories::$id_cat",ACCESS_COMMENT)) {
		echo"<div style=\"text-align:center\">"
			."<span class=\"pn-normal\">"
    	    ."<strong>[ <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index&amp;myfaq=yes&amp;askaquestion=yes&amp;id_cat=0\">"._ASKAQUESTION."</a> ]</strong>"
		    ."</span>"
    	    ."</div><br />";
    	}
        
    	echo "<a id=\"top\"></a><br />"
			."<span class=\"pn-normal\">"._CATEGORY.":</span> <a class=\"pn-normal\" href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index\">"._MAIN."</a>";

    	if($parent_id > 0) {
    	    $column = &$pntable['faqcategories_column'];
    	    $presult =& $dbconn->Execute("SELECT $column[categories]
    	                               FROM $pntable[faqcategories]
    	                               WHERE $column[id_cat]='".(int)pnVarPrepForStore($parent_id)."' $querylang");
    	    list($pcategories) = $presult->fields;

    	    $pcatname = urlencode($pcategories);
    	    echo "<span class=\"pn-normal\"> -> <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index&amp;myfaq=yes&amp;id_cat=$parent_id&amp;parent_id=0\">".pnVarPrepForDisplay($pcategories)."</a></span>";
    	}

    	echo "<span class=\"pn-normal\"> -> ".pnVarPrepForDisplay($categories)."</span>";

    	if($parent_id == 0) {
    		// it's a parent categories - any childs around?
    	    $column = &$pntable['faqcategories_column'];
    	    $sresult =& $dbconn->Execute("SELECT $column[id_cat], $column[categories]
    	                               FROM $pntable[faqcategories]
    	                               WHERE $column[parent_id]='".(int)pnVarPrepForStore($id_cat)."' $querylang");
    	    $parent_id = $id_cat;

    	    for($loopcount=0;!$sresult->EOF;$sresult->MoveNext() ) {
    	        list($sid_cat, $scategories) = $sresult->fields;
      	        if (pnSecAuthAction(0,"FAQ::","$scategories::$sid_cat",ACCESS_READ)) {
					if(!$loopcount) {
						// do we need to display the headline?
						echo "<br /><span class=\"pn-normal\">"._SUBCATEGORIES.":</span><br />";
			    	}
		           	echo"<strong><big>&nbsp;&nbsp;&nbsp;</big></strong><a class=\"pn-normal\" href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index&amp;myfaq=yes&amp;id_cat=$sid_cat\">".pnVarPrepHTMLDisplay($scategories)."</a><br />";
					$loopcount++;
	            }
        	}
        	echo "<br />";

    	}

    	echo "<br /><br />"
    	."<table width=\"100%\" cellpadding=\"4\" cellspacing=\"0\" border=\"0\">"
    	."<tr style=\"background-color:".$GLOBALS['bgcolor2']."\"><td colspan=\"2\"><span class=\"pn-title\">"._QUESTION."</span></td></tr><tr><td colspan=\"2\">";

	    $column = &$pntable['faqanswer_column'];
    	$result =& $dbconn->Execute("SELECT $column[id], $column[id_cat], $column[question], $column[answer]
    	                       		FROM $pntable[faqanswer]
                           			WHERE $column[id_cat]='".(int)pnVarPrepForStore($id_cat)."' AND $column[answer] != ''
									ORDER BY $column[id]");
    	while(list($id, $id_cat, $question, $answer) = $result->fields) {
        	$result->MoveNext();
			list($answer) = pnModCallHooks('item', 'transform', '', array($answer));
			echo"<span class=\"pn-normal\"><strong><big>&middot;</big></strong></span>&nbsp;&nbsp;<a class=\"pn-title\" href=\"#q$id\">".pnVarPrepHTMLDisplay($question)."</a><br />";
    	}

    	echo "</td></tr></table>
    	<br />";
    } else {
		echo _BADAUTHKEY;
		include 'footer.php';
		exit;
    }
}

function ShowFaqAll() {
    $id_cat = pnVarCleanFromInput('id_cat');

    if (!isset($id_cat) || !is_numeric($id_cat)) {
	    // markwest - removed unneeded call to header.php
		// results is path disclosure if invalid $id_cat
        //include 'header.php';
        echo _MODARGSERROR;
        include 'footer.php';
        exit;
    }
    
    $dbconn =& pnDBGetConn(true);
    $pntable =& pnDBGetTables();

    echo "<table width=\"100%\" cellpadding=\"4\" cellspacing=\"0\" border=\"0\">"
    	."<tr style=\"background-color:".$GLOBALS['bgcolor2']."\"><td colspan=\"2\"><span class=\"pn-title\">"._ANSWER."</span></td></tr>";

    $column = &$pntable['faqanswer_column'];
    $result =& $dbconn->Execute("SELECT $column[id],
                                     $column[id_cat],
                                     $column[question],
                                     $column[answer]
                              FROM $pntable[faqanswer]
                              WHERE $column[id_cat]='".(int)pnVarPrepForStore($id_cat)."' AND $column[answer] != ''
							  ORDER BY $column[id]");
    while(list($id, $id_cat, $question, $answer) = $result->fields) {
        $result->MoveNext();
		list($question, $answer) = pnModCallHooks('item', 'transform', '', array($question, $answer));
        echo"<tr><td><a class=\"pn-normal\" id=\"q$id\"></a>"
            ."<span class=\"pn-normal\"><strong><big>&middot;</big></strong></span>&nbsp;&nbsp;<span class=\"pn-title\">".pnVarPrepHTMLDisplay(nl2br($question))."</span><br />"
            ."<p><span class=\"pn-normal\">".pnVarPrepHTMLDisplay(nl2br($answer))."</span></p>"
            ."<a class=\"pn-normal\" href=\"#top\">"._BACKTOTOP."</a>"
            ."<br /><br /><hr />";
        // added hook call - markwest
        echo pnModCallHooks('item', 'display', $id, "modules.php?op=modload&name=$GLOBALS[ModName]&file=index&myfaq=yes&id_cat=$id_cat#$id");
        echo"</td></tr>";

    }

    echo "</table><br /><br />"
    ."<div style=\"text-align:center\"><span class=\"pn-normal\">[ <a class=\"pn-normal\" href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index\">"._BACKTOFAQINDEX."</a> ]</span></div>";
}

function AskQuestion()
{

    $id_cat = pnVarCleanFromInput('id_cat');

    $dbconn =& pnDBGetConn(true);
    $pntable =& pnDBGetTables();

    if (!(pnSecAuthAction(0, 'FAQ::', '::', ACCESS_COMMENT))) {
        echo _FAQADDNOAUTH;
        return;
    }

    OpenTable();
      echo"<div style=\"text-align:center\"><span class=\"pn-pagetitle\">".pnConfigGetVar('sitename').' '._FAQ2."</span></div><br/>";
    CloseTable();
    echo "<br/>";
    OpenTable();

    echo "<div style=\"text-align:center\"><span class=\"pn-title\">"._ASKAQUESTION."</span>";
    echo "</div><br />";

    echo "<form action=\"modules.php\" method=\"post\"><div>";
    echo "<input type=\"hidden\" name=\"op\" value=\"modload\" />";
    echo "<input type=\"hidden\" name=\"name\" value=\"FAQ\" />";
    echo "<input type=\"hidden\" name=\"file\" value=\"index\" />";
    echo "<input type=\"hidden\" name=\"myfaq\" value=\"yes\" />";
    echo "<input type=\"hidden\" name=\"askaquestion\" value=\"yes\" />";
    echo "<input type=\"hidden\" name=\"askquestionsubmit\" value=\"yes\" />";
    echo "  <table width=\"100%\">";
    //email makes no sense, let's store the userid later on...
    //echo "      <tr align=center>";
    //echo "          <td><span class=\"pn-normal\">"._SPECIFYEMAIL.":</span></td>";
    //echo "      </tr>";
    //echo "      <tr align=center>";
    //echo "          <td><input type=text name=email size=60><br /><br /></td>";
    //echo "      </tr>";
    echo "      <tr align=\"center\">";
    echo "          <td><span class=\"pn-normal\">"._SPECIFYQUESTION.":</span></td>";
    echo "      </tr>";
    echo "      <tr align=\"center\"><td>";

    echo "          <select name=\"id_cat\">";
    echo "              <option value=\"0\">"._UNSURE."</option>";

    $column = &$pntable['faqcategories_column'];
    $result =& $dbconn->Execute("SELECT $column[id_cat], $column[categories]
                           FROM $pntable[faqcategories]
                           WHERE $column[parent_id]=0 ORDER BY $column[id_cat]");
    while(list($id_cat, $categories) = $result->fields) {
        $result->MoveNext();
		if (pnSecAuthAction(0,"FAQ::","$categories::$id_cat",ACCESS_READ)) {
	        echo "                  <option value=\"$id_cat\">".pnVarPrepForDisplay($categories)."</option>";
		}
    }
    echo "          </select><br /><br />";

    echo "      </td></tr>";
    echo "      <tr align=\"center\">";
    echo "          <td><span class=\"pn-normal\">"._PLEASEDESCRIBE."</span></td>";
    echo "      </tr>";
    echo "      <tr align=\"center\">";
    echo "          <td><textarea name=\"question\" cols=\"80\" rows=\"10\"></textarea><br /><br /></td>";
    echo "      </tr>";
    echo "      <tr align=\"center\">";
    echo "          <td>";
    echo "              <input type=\"hidden\" name=\"cat_id\" value=\"$id_cat\" />";
    echo "              <input type=\"submit\" value=\""._SUBMITQUESTION."\" />";
    echo "          </td>";
    echo "      </tr>";
    echo "  </table>";
    echo "</div></form>";

    echo "<div style=\"text-align:center\"><strong><span class=\"pn-normal\">[ <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index\">"._BACKTOFAQINDEX."</a> ]</span></strong></div>";
}

function AskQuestionSubmit()
{

    list($id_cat,
	 $question) = pnVarCleanFromInput('id_cat',
					  'question');
					  
    if (!isset($id_cat) || !is_numeric($id_cat)) {
        include 'header.php';
        echo _MODARGSERROR;
        include 'footer.php';
        exit;
    }
    
	//make sure question is filled in. - skooter
    if (empty($question)){
		OpenTable();
		echo "<div style=\"text-align:center\"><br /><strong>";
        echo _QUESTIONBLANK;
		echo  "</strong><br /><br />"._GOBACK."</div>";
		CloseTable();
		include 'footer.php';
		exit;
	}
    
    $dbconn =& pnDBGetConn(true);
    $pntable =& pnDBGetTables();

    if (!(pnSecAuthAction(0, 'FAQ::', '::', ACCESS_COMMENT))) {
        echo _FAQADDNOAUTH;
        return;
    }
    OpenTable();

        //$question = pnVarPrepForStore($question);
        //$email = pnVarPrepForStore($email);
        $uid = pnUserGetVar('uid');
        $column = &$pntable['faqanswer_column'];
        $nextid = $dbconn->GenId($pntable['faqanswer']);
        $sql = "INSERT INTO $pntable[faqanswer]
                   ($column[id], $column[id_cat], $column[question], $column[submittedby], $column[answer])
                   VALUES ($nextid, ".(int)pnVarPrepForStore($id_cat).", '".pnVarPrepForStore($question)."', '".(int)pnVarPrepForStore($uid)."', '')";
        $result =& $dbconn->Execute($sql);
        echo "<span class=\"pn-normal\">"._THANKSSUB."<br /><br /></span>";
        echo "<div align=\"center\"><strong><span class=\"pn-normal\">[ <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index\">"._BACKTOFAQINDEX."</a> ]</span></strong></div>";
}

$myfaq = pnVarCleanFromInput('myfaq');

if (empty($myfaq)) {

    $dbconn =& pnDBGetConn(true);
    $pntable =& pnDBGetTables();

    $currentlang = pnUserGetLang();

    $column = &$pntable['faqcategories_column'];
    if (pnConfigGetVar('multilingual') == 1) {
        $column = &$pntable['faqcategories_column'];
        $querylang = "AND ($column[flanguage]='".pnVarPrepForStore($currentlang)."' OR $column[flanguage]='')"; /* the OR is needed to display stories who are posted to ALL languages */
    } else {
    	$querylang = "";
    }

    include 'header.php';
    OpenTable();
    echo "<div style=\"text-align:center\"><span class=\"pn-title\">".pnConfigGetVar('sitename').' '._FAQ2."</span>";

    echo "<br /><br />";

    $column = &$pntable['faqcategories_column'];
    $total_result =& $dbconn->Execute("SELECT COUNT($column[id_cat]) FROM $pntable[faqcategories]");
    list($total) = $total_result->fields;
    if ($total) {
        if (pnSecAuthAction(0, 'FAQ::', '::', ACCESS_COMMENT)){
            echo "<span class=\"pn-normal\">[ <a href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index&amp;myfaq=yes&amp;askaquestion=yes&amp;id_cat=0\">"._ASKAQUESTION."</a> ]</span>";
        }
    }
    echo "</div><br /><br />"
    ."<table width=\"100%\" cellpadding=\"4\" cellspacing=\"0\" border=\"0\">"
    ."<tr><td style=\"background-color:".$GLOBALS['bgcolor2']."\"><span class=\"pn-title\">"._CATEGORIES."</span></td></tr><tr><td>";

	$column = &$pntable['faqcategories_column'];
	$result =& $dbconn->Execute("SELECT $column[id_cat], $column[categories]
							FROM $pntable[faqcategories]
							WHERE $column[parent_id]=0 $querylang");

    while(list($id_cat, $categories) = $result->fields) {
        $result->MoveNext();
		if (pnSecAuthAction(0,"FAQ::","$categories::$id_cat",ACCESS_READ)) {
        	echo "<a class=\"pn-title\" href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index&amp;myfaq=yes&amp;id_cat=$id_cat\">".pnVarPrepForDisplay($categories)."</a><br />";

        	$column = &$pntable['faqcategories_column'];
        	$sresult =& $dbconn->Execute("SELECT $column[id_cat], $column[categories]
                                	FROM $pntable[faqcategories]
                                	WHERE $column[parent_id]='".(int)pnVarPrepForStore($id_cat)."' $querylang");

        	$parent_id = $id_cat;

        	for(;!$sresult->EOF;$sresult->MoveNext()) {
				list($sid_cat, $scategories) = $sresult->fields;
				if (pnSecAuthAction(0,"FAQ::","$scategories::$sid_cat",ACCESS_READ)) {
            		echo "<strong><big>&nbsp;&nbsp;&nbsp;</big></strong><a class=\"pn-normal\" href=\"modules.php?op=modload&amp;name=".$GLOBALS['ModName']."&amp;file=index&amp;myfaq=yes&amp;id_cat=$sid_cat\">".pnVarPrepForDisplay($scategories)."</a><br />";
				}
        	}
        	echo "<br />";
        }
    }

    echo "</td></tr></table>";

    CloseTable();

    include 'footer.php';

} else {

	list ($askaquestion, $askquestionsubmit) = pnVarCleanFromInput('askaquestion', 'askquestionsubmit');

    include 'header.php';

    if(isset($askaquestion)) {
        if(empty($askquestionsubmit)) {
            AskQuestion();
        } else {
            AskQuestionSubmit();
        }
    } else {
        ShowFaq();
        ShowFaqAll();
    }

    CloseTable();
    include 'footer.php';
}
?>