<?php
// $Id: function.displaygreeting.php,v 1.12 2004/08/10 12:35:48 markwest Exp $
// ----------------------------------------------------------------------
// PostNuke Content Management System
// Copyright (C) 2002 by the PostNuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
/**
 * Xanthia plugin
 * 
 * This file is a plugin for pnRender, the PostNuke implementation of Smarty
 *
 * @package      Xanthia_Templating_Environment
 * @subpackage   Xanthia
 * @version      $Id: function.displaygreeting.php,v 1.12 2004/08/10 12:35:48 markwest Exp $
 * @author       The PostNuke development team
 * @link         http://www.postnuke.com  The PostNuke Home Page
 * @copyright    Copyright (C) 2002 by the PostNuke Development Team
 * @license      http://www.gnu.org/copyleft/gpl.html GNU General Public License
 */ 

 
/**
 * Smarty function to display a greeting to the user
 * 
 * This function displays a welcome message: welcome and the number of private 
 * messages for a registered user or welcome and a signup link for a guest.
 * 
 * Example
 * <!--[displaygreeting class="pn-normal3"]-->
 * 
 * @author       Mark West
 * @since        19/10/2003
 * @see          function.displaygreeting.php::smarty_function_displaygreeting()
 * @param        array       $params      All attributes passed to this function from the template
 * @param        object      &$smarty     Reference to the Smarty object
 * @param        string      class        CSS class for string
 * @return       string      the welcome message
 */
function smarty_function_displaygreeting($params, &$smarty) 
{
    extract($params); 
	unset($params);

	// set some defaults
	if (!isset($class)) {
		$class = 'pn-normal';
	}

	// Get the db connection
	$dbconn =& pnDBGetConn(true);
	$pntable =& pnDBGetTables();

	if (pnUserLoggedIn()) {
		$username = pnUserGetVar('uname');
		$loggedin = _HELLO." ".$username;

		// Gather Users unread messages
		$column1 = &$pntable['users_column'];
		$column2 = &$pntable['priv_msgs_column'];
		$query = "SELECT $column2[to_userid]
				FROM $pntable[priv_msgs], $pntable[users]
				WHERE ($column1[uname]='$username'
				AND $column2[to_userid]=$column1[uid])
				AND $column2[read_msg]='0'";

		$result =& $dbconn->Execute($query);
		if ($dbconn->ErrorNo() != 0) {
			return false;
		} else {
			if (!$result->EOF) {
				$result->Close();
				$newmsgs = $result->PO_RecordCount();
				if ($newmsgs > 0) {
					$messages = ", "._LYOUHAVE." <a class=\"$class\" "
					."href=\"modules.php?op=modload&amp;name=Messages"
					."&amp;file=index\">\n<strong>$newmsgs</strong></a> "._UNREADMSG.".\n";
				}
			} else {
					$messages = ", "._LYOUHAVE." "._LNO." "._UNREADMSG.".\n";
			}
		}
	} else {
		// Not a member, ask them to register
		$loggedin = ""._CREATEACCOUNT." <a class=\"$class\" "
				."href=\"user.php\">"._HERE."</a>.\n";
		$messages = " ("._REGISFREE.")\n";
	}
	$greeting = $loggedin."".$messages."\n";
	return $greeting;
}

?>