-- 
-- Table structure for table `pn_autolinks`
-- 

CREATE TABLE `pn_autolinks` (
  `pn_lid` int(11) NOT NULL auto_increment,
  `pn_keyword` varchar(100) NOT NULL default '',
  `pn_title` varchar(100) NOT NULL default '',
  `pn_url` varchar(200) NOT NULL default '',
  `pn_comment` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`pn_lid`),
  UNIQUE KEY `keyword` (`pn_keyword`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_autolinks`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_autonews`
-- 

CREATE TABLE `pn_autonews` (
  `pn_anid` int(11) NOT NULL auto_increment,
  `pn_catid` int(11) NOT NULL default '0',
  `pn_aid` varchar(30) NOT NULL default '',
  `pn_title` varchar(80) NOT NULL default '',
  `pn_time` varchar(19) NOT NULL default '',
  `pn_hometext` text NOT NULL,
  `pn_bodytext` text NOT NULL,
  `pn_topic` tinyint(4) NOT NULL default '1',
  `pn_informant` varchar(20) NOT NULL default '',
  `pn_notes` text NOT NULL,
  `pn_ihome` tinyint(1) NOT NULL default '0',
  `pn_language` varchar(30) NOT NULL default '',
  `pn_withcomm` int(1) NOT NULL default '0',
  PRIMARY KEY  (`pn_anid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_autonews`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_banner`
-- 

CREATE TABLE `pn_banner` (
  `pn_bid` int(11) NOT NULL auto_increment,
  `pn_cid` int(11) NOT NULL default '0',
  `pn_type` char(2) NOT NULL default '0',
  `pn_imptotal` int(11) NOT NULL default '0',
  `pn_impmade` int(11) NOT NULL default '0',
  `pn_clicks` int(11) NOT NULL default '0',
  `pn_imageurl` varchar(255) NOT NULL default '',
  `pn_clickurl` varchar(255) NOT NULL default '',
  `pn_date` datetime default NULL,
  PRIMARY KEY  (`pn_bid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_banner`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_bannerclient`
-- 

CREATE TABLE `pn_bannerclient` (
  `pn_cid` int(11) NOT NULL auto_increment,
  `pn_name` varchar(60) NOT NULL default '',
  `pn_contact` varchar(60) NOT NULL default '',
  `pn_email` varchar(60) NOT NULL default '',
  `pn_login` varchar(10) NOT NULL default '',
  `pn_passwd` varchar(10) NOT NULL default '',
  `pn_extrainfo` text NOT NULL,
  PRIMARY KEY  (`pn_cid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_bannerclient`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_bannerfinish`
-- 

CREATE TABLE `pn_bannerfinish` (
  `pn_bid` int(11) NOT NULL auto_increment,
  `pn_cid` int(11) NOT NULL default '0',
  `pn_impressions` int(11) NOT NULL default '0',
  `pn_clicks` int(11) NOT NULL default '0',
  `pn_datestart` datetime default NULL,
  `pn_dateend` datetime default NULL,
  PRIMARY KEY  (`pn_bid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_bannerfinish`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_blocks`
-- 

CREATE TABLE `pn_blocks` (
  `pn_bid` int(11) unsigned NOT NULL auto_increment,
  `pn_bkey` varchar(255) NOT NULL default '',
  `pn_title` varchar(255) NOT NULL default '',
  `pn_content` text NOT NULL,
  `pn_url` varchar(254) NOT NULL default '',
  `pn_mid` int(11) unsigned NOT NULL default '0',
  `pn_position` char(1) NOT NULL default 'l',
  `pn_weight` decimal(10,1) NOT NULL default '0.0',
  `pn_active` tinyint(3) unsigned NOT NULL default '1',
  `pn_refresh` int(11) unsigned NOT NULL default '0',
  `pn_last_update` timestamp(14) NOT NULL,
  `pn_language` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`pn_bid`)
) TYPE=MyISAM AUTO_INCREMENT=16 ;

-- 
-- Dumping data for table `pn_blocks`
-- 

INSERT INTO `pn_blocks` (`pn_bid`, `pn_bkey`, `pn_title`, `pn_content`, `pn_url`, `pn_mid`, `pn_position`, `pn_weight`, `pn_active`, `pn_refresh`, `pn_last_update`, `pn_language`) VALUES (1, 'menu', 'Main Menu', 'style:=1\ndisplaymodules:=0\ndisplaywaiting:=0\ncontent:=index.php|Home|Back to the home page..LINESPLITuser.php|My Account|Administer your personal account..LINESPLITadmin.php|Administration|Administer your PostNuked site..LINESPLITuser.php?module=NS-User&op=logout|Logout|Logout of your account..LINESPLIT|Modules|LINESPLIT[AvantGo]|AvantGo|Stories formatted for PDAs..LINESPLIT[Downloads]|Downloads|Find downloads listed on this website..LINESPLIT[FAQ]|FAQ|Frequently Asked Questions.LINESPLIT[Members_List]|Members List|Listing of registered users on this site..LINESPLIT[News]|News|Latest News on this site..LINESPLIT[Recommend_Us]|Recommend Us|Recommend this website to a friend..LINESPLIT[Reviews]|Reviews|Reviews Section on this website..LINESPLIT[Search]|Search|Search our website..LINESPLIT[Sections]|Sections|Other content on this website..LINESPLIT[Stats]|Stats|Detailed traffic statistics..LINESPLIT[Submit_News]|Submit News|Submit an article..LINESPLIT[Topics]|Topics|Listing of news topics on this website..LINESPLIT[Top_List]|Top List|Top 10list..LINESPLIT[Web_Links]|Web Links|Links to other sites..', '', 0, 'l', 1.0, 1, 0, 20011122090726, ''),
(2, 'menu', 'Incoming', 'style:=1\ndisplaymodules:=0\ndisplaywaiting:=1\ncontent:=', '', 0, 'l', 2.0, 1, 0, 00000000000000, ''),
(3, 'online', 'Online', '', '', 0, 'l', 3.0, 1, 0, 00000000000000, ''),
(4, 'stories', 'Other Stories', 'type:=1 topic:=-1  category:=-1 limit:=10', '', 0, 'r', 1.0, 1, 0, 00000000000000, ''),
(5, 'user', 'Users Block', 'Put anything you want here', '', 0, 'l', 3.5, 1, 0, 00000000000000, ''),
(6, 'search', 'Search Box', '', '', 0, 'l', 4.0, 0, 0, 00000000000000, ''),
(7, 'ephem', 'Ephemerids', '', '', 0, 'l', 5.0, 0, 0, 00000000000000, ''),
(8, 'thelang', 'Languages', '', '', 0, 'l', 6.0, 1, 0, 00000000000000, ''),
(9, 'category', 'Categories Menu', '', '', 0, 'r', 1.5, 1, 0, 00000000000000, ''),
(10, 'random', 'Random Headlines', '', '', 0, 'r', 2.0, 0, 0, 00000000000000, ''),
(11, 'poll', 'Poll', '', '', 0, 'r', 3.0, 1, 0, 00000000000000, ''),
(12, 'big', 'Todays Big Story', '', '', 0, 'r', 4.0, 1, 0, 00000000000000, ''),
(13, 'login', 'Login', '', '', 0, 'r', 5.0, 1, 0, 00000000000000, ''),
(14, 'past', 'Past Articles', '', '', 0, 'r', 6.0, 1, 0, 00000000000000, ''),
(15, 'messages', 'Administration Messages', '', '', 8, 'c', 1.0, 1, 0, 00000000000000, '');

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_blocks_buttons`
-- 

CREATE TABLE `pn_blocks_buttons` (
  `pn_id` int(11) unsigned NOT NULL auto_increment,
  `pn_bid` int(11) unsigned NOT NULL default '0',
  `pn_title` varchar(255) NOT NULL default '',
  `pn_url` varchar(254) NOT NULL default '',
  `pn_images` longtext NOT NULL,
  PRIMARY KEY  (`pn_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_blocks_buttons`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_comments`
-- 

CREATE TABLE `pn_comments` (
  `pn_tid` int(11) NOT NULL auto_increment,
  `pn_pid` int(11) default '0',
  `pn_sid` int(11) default '0',
  `pn_date` datetime default NULL,
  `pn_name` varchar(60) NOT NULL default '',
  `pn_email` varchar(60) default NULL,
  `pn_url` varchar(254) default NULL,
  `pn_host_name` varchar(60) default NULL,
  `pn_subject` varchar(85) NOT NULL default '',
  `pn_comment` text NOT NULL,
  `pn_score` tinyint(4) NOT NULL default '0',
  `pn_reason` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`pn_tid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_comments`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_counter`
-- 

CREATE TABLE `pn_counter` (
  `pn_type` varchar(80) NOT NULL default '',
  `pn_var` varchar(80) NOT NULL default '',
  `pn_count` int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_counter`
-- 

INSERT INTO `pn_counter` (`pn_type`, `pn_var`, `pn_count`) VALUES ('total', 'hits', 0),
('browser', 'Lynx', 0),
('browser', 'MSIE', 0),
('browser', 'Opera', 0),
('browser', 'Konqueror', 0),
('browser', 'Netscape', 0),
('browser', 'Bot', 0),
('browser', 'Other', 0),
('os', 'Windows', 0),
('os', 'Linux', 0),
('os', 'Mac', 0),
('os', 'FreeBSD', 0),
('os', 'SunOS', 0),
('os', 'IRIX', 0),
('os', 'BeOS', 0),
('os', 'OS/2', 0),
('os', 'AIX', 0),
('os', 'Other', 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_downloads_categories`
-- 

CREATE TABLE `pn_downloads_categories` (
  `pn_cid` int(11) NOT NULL auto_increment,
  `pn_title` varchar(50) NOT NULL default '',
  `pn_description` text NOT NULL,
  PRIMARY KEY  (`pn_cid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_downloads_categories`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_downloads_downloads`
-- 

CREATE TABLE `pn_downloads_downloads` (
  `pn_lid` int(11) NOT NULL auto_increment,
  `pn_cid` int(11) NOT NULL default '0',
  `pn_sid` int(11) NOT NULL default '0',
  `pn_title` varchar(100) NOT NULL default '',
  `pn_url` varchar(254) NOT NULL default '',
  `pn_description` text NOT NULL,
  `pn_date` datetime default NULL,
  `pn_name` varchar(100) NOT NULL default '',
  `pn_email` varchar(100) NOT NULL default '',
  `pn_hits` int(11) NOT NULL default '0',
  `pn_submitter` varchar(60) NOT NULL default '',
  `pn_ratingsummary` double(6,4) NOT NULL default '0.0000',
  `pn_totalvotes` int(11) NOT NULL default '0',
  `pn_totalcomments` int(11) NOT NULL default '0',
  `pn_filesize` int(11) NOT NULL default '0',
  `pn_version` varchar(10) NOT NULL default '',
  `pn_homepage` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`pn_lid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_downloads_downloads`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_downloads_editorials`
-- 

CREATE TABLE `pn_downloads_editorials` (
  `pn_id` int(11) NOT NULL default '0',
  `pn_adminid` varchar(60) NOT NULL default '',
  `pn_timestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `pn_text` text NOT NULL,
  `pn_title` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`pn_id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_downloads_editorials`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_downloads_modrequest`
-- 

CREATE TABLE `pn_downloads_modrequest` (
  `pn_requestid` int(11) NOT NULL auto_increment,
  `pn_lid` int(11) NOT NULL default '0',
  `pn_cid` int(11) NOT NULL default '0',
  `pn_sid` int(11) NOT NULL default '0',
  `pn_title` varchar(100) NOT NULL default '',
  `pn_url` varchar(254) NOT NULL default '',
  `pn_description` text NOT NULL,
  `pn_modifysubmitter` varchar(60) NOT NULL default '',
  `pn_brokendownload` int(3) NOT NULL default '0',
  `pn_name` varchar(100) NOT NULL default '',
  `pn_email` varchar(100) NOT NULL default '',
  `pn_filesize` int(11) NOT NULL default '0',
  `pn_version` varchar(10) NOT NULL default '',
  `pn_homepage` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`pn_requestid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_downloads_modrequest`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_downloads_newdownload`
-- 

CREATE TABLE `pn_downloads_newdownload` (
  `pn_lid` int(11) NOT NULL auto_increment,
  `pn_cid` int(11) NOT NULL default '0',
  `pn_sid` int(11) NOT NULL default '0',
  `pn_title` varchar(100) NOT NULL default '',
  `pn_url` varchar(254) NOT NULL default '',
  `pn_description` text NOT NULL,
  `pn_name` varchar(100) NOT NULL default '',
  `pn_email` varchar(100) NOT NULL default '',
  `pn_submitter` varchar(60) NOT NULL default '',
  `pn_filesize` int(11) NOT NULL default '0',
  `pn_version` varchar(10) NOT NULL default '',
  `pn_homepage` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`pn_lid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_downloads_newdownload`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_downloads_subcategories`
-- 

CREATE TABLE `pn_downloads_subcategories` (
  `pn_sid` int(11) NOT NULL auto_increment,
  `pn_cid` int(11) NOT NULL default '0',
  `pn_title` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`pn_sid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_downloads_subcategories`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_downloads_votedata`
-- 

CREATE TABLE `pn_downloads_votedata` (
  `pn_id` int(11) NOT NULL auto_increment,
  `pn_lid` int(11) NOT NULL default '0',
  `pn_user` varchar(60) NOT NULL default '',
  `pn_rating` int(11) NOT NULL default '0',
  `pn_hostname` varchar(60) NOT NULL default '',
  `pn_comments` text NOT NULL,
  `pn_timestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`pn_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_downloads_votedata`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_ephem`
-- 

CREATE TABLE `pn_ephem` (
  `pn_eid` int(11) NOT NULL auto_increment,
  `pn_did` tinyint(2) NOT NULL default '0',
  `pn_mid` tinyint(2) NOT NULL default '0',
  `pn_yid` int(4) NOT NULL default '0',
  `pn_content` text NOT NULL,
  `pn_language` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`pn_eid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_ephem`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_faqanswer`
-- 

CREATE TABLE `pn_faqanswer` (
  `pn_id` int(6) NOT NULL auto_increment,
  `pn_id_cat` int(6) default NULL,
  `pn_question` text,
  `pn_answer` text,
  `pn_submittedby` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`pn_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_faqanswer`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_faqcategories`
-- 

CREATE TABLE `pn_faqcategories` (
  `pn_id_cat` int(6) NOT NULL auto_increment,
  `pn_categories` varchar(255) default NULL,
  `pn_language` varchar(30) NOT NULL default '',
  `pn_parent_id` int(6) NOT NULL default '0',
  PRIMARY KEY  (`pn_id_cat`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_faqcategories`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_group_membership`
-- 

CREATE TABLE `pn_group_membership` (
  `pn_gid` int(11) NOT NULL default '0',
  `pn_uid` int(11) NOT NULL default '0'
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_group_membership`
-- 

INSERT INTO `pn_group_membership` (`pn_gid`, `pn_uid`) VALUES (1, 1),
(2, 2);

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_group_perms`
-- 

CREATE TABLE `pn_group_perms` (
  `pn_pid` int(11) NOT NULL auto_increment,
  `pn_gid` int(11) NOT NULL default '0',
  `pn_sequence` int(11) NOT NULL default '0',
  `pn_realm` smallint(4) NOT NULL default '0',
  `pn_component` varchar(255) NOT NULL default '',
  `pn_instance` varchar(255) NOT NULL default '',
  `pn_level` smallint(4) NOT NULL default '0',
  `pn_bond` int(2) NOT NULL default '0',
  PRIMARY KEY  (`pn_pid`)
) TYPE=MyISAM AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `pn_group_perms`
-- 

INSERT INTO `pn_group_perms` (`pn_pid`, `pn_gid`, `pn_sequence`, `pn_realm`, `pn_component`, `pn_instance`, `pn_level`, `pn_bond`) VALUES (1, 2, 1, 0, '.*', '.*', 800, 0),
(2, -1, 2, 0, 'Menublock::', 'Main Menu:Administration:', 0, 0),
(3, 1, 3, 0, '.*', '.*', 300, 0),
(4, 0, 4, 0, 'Menublock::', 'Main Menu:(My Account|Logout|Submit News):', 0, 0),
(5, 0, 5, 0, '.*', '.*', 200, 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_groups`
-- 

CREATE TABLE `pn_groups` (
  `pn_gid` int(11) NOT NULL auto_increment,
  `pn_name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`pn_gid`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `pn_groups`
-- 

INSERT INTO `pn_groups` (`pn_gid`, `pn_name`) VALUES (1, 'Users'),
(2, 'Admins');

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_headlines`
-- 

CREATE TABLE `pn_headlines` (
  `pn_id` int(11) unsigned NOT NULL auto_increment,
  `pn_sitename` varchar(255) NOT NULL default '',
  `pn_rssuser` varchar(10) default NULL,
  `pn_rsspasswd` varchar(10) default NULL,
  `pn_use_proxy` tinyint(3) NOT NULL default '0',
  `pn_rssurl` varchar(255) NOT NULL default '',
  `pn_maxrows` tinyint(3) NOT NULL default '10',
  `pn_siteurl` varchar(255) NOT NULL default '',
  `pn_options` varchar(20) default '',
  PRIMARY KEY  (`pn_id`)
) TYPE=MyISAM AUTO_INCREMENT=53 ;

-- 
-- Dumping data for table `pn_headlines`
-- 

INSERT INTO `pn_headlines` (`pn_id`, `pn_sitename`, `pn_rssuser`, `pn_rsspasswd`, `pn_use_proxy`, `pn_rssurl`, `pn_maxrows`, `pn_siteurl`, `pn_options`) VALUES (1, 'PostNuke', NULL, NULL, 0, 'http://postnuke.com/backend.php', 10, '', ''),
(2, 'LinuxCentral', NULL, NULL, 0, 'http://linuxcentral.com/backend/lcnew.rdf', 10, '', ''),
(3, 'Slashdot', NULL, NULL, 0, 'http://slashdot.org/slashdot.rdf', 10, '', ''),
(4, 'NewsForge', NULL, NULL, 0, 'http://www.newsforge.com/newsforge.rdf', 10, '', ''),
(5, 'PHPBuilder', NULL, NULL, 0, 'http://phpbuilder.com/rss_feed.php', 10, '', ''),
(6, 'Linux.com', NULL, NULL, 0, 'http://linux.com/mrn/front_page.rss', 10, '', ''),
(7, 'Freshmeat', NULL, NULL, 0, 'http://freshmeat.net/backend/fm.rdf', 10, '', ''),
(9, 'LinuxWeeklyNews', NULL, NULL, 0, 'http://lwn.net/headlines/rss', 10, '', ''),
(11, 'Segfault', NULL, NULL, 0, 'http://segfault.org/stories.xml', 10, '', ''),
(13, 'KDE', NULL, NULL, 0, 'http://www.kde.org/news/kdenews.rdf', 10, '', ''),
(14, 'Perl.com', NULL, NULL, 0, 'http://www.perl.com/pace/perlnews.rdf', 10, '', ''),
(17, 'MozillaNewsBot', NULL, NULL, 0, 'http://www.mozilla.org/newsbot/newsbot.rdf', 10, '', ''),
(21, 'SciFi-News', NULL, NULL, 0, 'http://www.technopagan.org/sf-news/rdf.php', 10, '', ''),
(26, 'DrDobbsTechNetCast', NULL, NULL, 0, 'http://www.technetcast.com/tnc_headlines.rdf', 10, '', ''),
(27, 'RivaExtreme', NULL, NULL, 0, 'http://rivaextreme.com/ssi/rivaextreme.rdf.cdf', 10, '', ''),
(29, 'PBSOnline', NULL, NULL, 0, 'http://cgi.pbs.org/cgi-registry/featuresrdf.pl', 10, '', ''),
(30, 'Listology', NULL, NULL, 0, 'http://listology.com/recent.rdf', 10, '', ''),
(33, 'exoScience', NULL, NULL, 0, 'http://www.exosci.com/exosci.rdf', 10, '', ''),
(39, 'DailyDaemonNews', NULL, NULL, 0, 'http://daily.daemonnews.org/ddn.rdf.php3', 10, '', ''),
(40, 'PerlMonks', NULL, NULL, 0, 'http://www.perlmonks.org/headlines.rdf', 10, '', ''),
(42, 'BSDToday', NULL, NULL, 0, 'http://www.bsdtoday.com/backend/bt.rdf', 10, '', ''),
(45, 'HotWired', NULL, NULL, 0, 'http://www.hotwired.com/webmonkey/meta/headlines.rdf', 10, '', ''),
(52, 'SolarisCentral', NULL, NULL, 0, 'http://www.SolarisCentral.org/news/SolarisCentral.rdf', 10, '', '');

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_hooks`
-- 

CREATE TABLE `pn_hooks` (
  `pn_id` int(11) unsigned NOT NULL auto_increment,
  `pn_object` varchar(64) NOT NULL default '',
  `pn_action` varchar(64) NOT NULL default '',
  `pn_smodule` varchar(64) default NULL,
  `pn_stype` varchar(64) default NULL,
  `pn_tarea` varchar(64) NOT NULL default '',
  `pn_tmodule` varchar(64) NOT NULL default '',
  `pn_ttype` varchar(64) NOT NULL default '',
  `pn_tfunc` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`pn_id`)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `pn_hooks`
-- 

INSERT INTO `pn_hooks` (`pn_id`, `pn_object`, `pn_action`, `pn_smodule`, `pn_stype`, `pn_tarea`, `pn_tmodule`, `pn_ttype`, `pn_tfunc`) VALUES (1, 'item', 'display', NULL, NULL, 'GUI', 'Ratings', 'user', 'display'),
(2, 'item', 'transform', NULL, NULL, 'API', 'Wiki', 'user', 'transform'),
(3, 'item', 'transform', NULL, NULL, 'API', 'Autolinks', 'user', 'transform');

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_languages_constant`
-- 

CREATE TABLE `pn_languages_constant` (
  `pn_constant` varchar(32) NOT NULL default '',
  `pn_file` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`pn_constant`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_languages_constant`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_languages_file`
-- 

CREATE TABLE `pn_languages_file` (
  `pn_target` varchar(64) NOT NULL default '',
  `pn_source` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`pn_target`,`pn_source`),
  UNIQUE KEY `source` (`pn_source`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_languages_file`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_languages_translation`
-- 

CREATE TABLE `pn_languages_translation` (
  `pn_language` varchar(32) NOT NULL default '',
  `pn_constant` varchar(32) NOT NULL default '',
  `pn_translation` longblob NOT NULL,
  `pn_level` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`pn_constant`,`pn_language`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_languages_translation`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_links_categories`
-- 

CREATE TABLE `pn_links_categories` (
  `pn_cat_id` int(11) NOT NULL auto_increment,
  `pn_parent_id` int(11) default NULL,
  `pn_title` varchar(50) NOT NULL default '',
  `pn_description` text NOT NULL,
  PRIMARY KEY  (`pn_cat_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_links_categories`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_links_editorials`
-- 

CREATE TABLE `pn_links_editorials` (
  `pn_linkid` int(11) NOT NULL default '0',
  `pn_adminid` varchar(60) NOT NULL default '',
  `pn_timestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `pn_text` text NOT NULL,
  `pn_title` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`pn_linkid`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_links_editorials`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_links_links`
-- 

CREATE TABLE `pn_links_links` (
  `pn_lid` int(11) NOT NULL auto_increment,
  `pn_cat_id` int(11) NOT NULL default '0',
  `pn_title` varchar(100) NOT NULL default '',
  `pn_url` varchar(254) NOT NULL default '',
  `pn_description` text NOT NULL,
  `pn_date` datetime default NULL,
  `pn_name` varchar(100) NOT NULL default '',
  `pn_email` varchar(100) NOT NULL default '',
  `pn_hits` int(11) NOT NULL default '0',
  `pn_submitter` varchar(60) NOT NULL default '',
  `pn_ratingsummary` double(6,4) NOT NULL default '0.0000',
  `pn_totalvotes` int(11) NOT NULL default '0',
  `pn_totalcomments` int(11) NOT NULL default '0',
  PRIMARY KEY  (`pn_lid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_links_links`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_links_modrequest`
-- 

CREATE TABLE `pn_links_modrequest` (
  `pn_requestid` int(11) NOT NULL auto_increment,
  `pn_lid` int(11) NOT NULL default '0',
  `pn_cat_id` int(11) NOT NULL default '0',
  `pn_sid` int(11) NOT NULL default '0',
  `pn_title` varchar(100) NOT NULL default '',
  `pn_url` varchar(254) NOT NULL default '',
  `pn_description` text NOT NULL,
  `pn_modifysubmitter` varchar(60) NOT NULL default '',
  `pn_brokenlink` tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (`pn_requestid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_links_modrequest`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_links_newlink`
-- 

CREATE TABLE `pn_links_newlink` (
  `pn_lid` int(11) NOT NULL auto_increment,
  `pn_cat_id` int(11) NOT NULL default '0',
  `pn_title` varchar(100) NOT NULL default '',
  `pn_url` varchar(254) NOT NULL default '',
  `pn_description` text NOT NULL,
  `pn_name` varchar(100) NOT NULL default '',
  `pn_email` varchar(100) NOT NULL default '',
  `pn_submitter` varchar(60) NOT NULL default '',
  PRIMARY KEY  (`pn_lid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_links_newlink`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_links_votedata`
-- 

CREATE TABLE `pn_links_votedata` (
  `pn_id` int(11) NOT NULL auto_increment,
  `pn_lid` int(11) NOT NULL default '0',
  `pn_user` varchar(60) NOT NULL default '',
  `pn_rating` int(11) NOT NULL default '0',
  `pn_hostname` varchar(60) NOT NULL default '',
  `pn_comments` text NOT NULL,
  `pn_timestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`pn_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_links_votedata`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_message`
-- 

CREATE TABLE `pn_message` (
  `pn_mid` int(11) NOT NULL auto_increment,
  `pn_title` varchar(100) NOT NULL default '',
  `pn_content` text NOT NULL,
  `pn_date` varchar(14) NOT NULL default '',
  `pn_expire` mediumint(7) NOT NULL default '0',
  `pn_active` tinyint(4) NOT NULL default '1',
  `pn_view` tinyint(1) NOT NULL default '1',
  `pn_language` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`pn_mid`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `pn_message`
-- 

INSERT INTO `pn_message` (`pn_mid`, `pn_title`, `pn_content`, `pn_date`, `pn_expire`, `pn_active`, `pn_view`, `pn_language`) VALUES (1, 'Welcome to PostNuke, the =-Phoenix-= release (0.750)', '<a href="http://www.postnuke.com">PostNuke</a> is a weblog/Content Management System (CMS). It is far more secure and stable than competing products, and able to work in high-volume environments with ease.<br /><br />Some of the highlights of PostNuke are<ul><li> Customisation of all aspects of the website''s appearance through themes, including CSS support</li><li> The ability to specify items as being suitable for either a single or all languages</li><li> The best guarantee of displaying your webpages on all browsers due to HTML 4.01 transitional compliance</li><li> A standard API and extensive documentation to allow for easy creation of extended functionality through modules and blocks</li></ul><br /><br />PostNuke has a very active developer and support community at <a href="http://www.postnuke.com">www.postnuke.com</a>.<br /><br />We hope you will enjoy using PostNuke.<br /><br /><strong>Your PostNuke development team </strong><br /><br /><em>Note: This message can be edited in Administration-Admin Messages</em>', '993373194', 0, 1, 1, '');

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_module_vars`
-- 

CREATE TABLE `pn_module_vars` (
  `pn_id` int(11) unsigned NOT NULL auto_increment,
  `pn_modname` varchar(64) NOT NULL default '',
  `pn_name` varchar(64) NOT NULL default '',
  `pn_value` longtext,
  PRIMARY KEY  (`pn_id`),
  KEY `pn_modname` (`pn_modname`),
  KEY `pn_name` (`pn_name`)
) TYPE=MyISAM AUTO_INCREMENT=159 ;

-- 
-- Dumping data for table `pn_module_vars`
-- 

INSERT INTO `pn_module_vars` (`pn_id`, `pn_modname`, `pn_name`, `pn_value`) VALUES (1, '/PNConfig', 'debug', 'i:0;'),
(2, '/PNConfig', 'sitename', 's:14:"Your Site Name";'),
(3, '/PNConfig', 'site_logo', 's:8:"logo.gif";'),
(4, '/PNConfig', 'slogan', 's:16:"Your slogan here";'),
(5, '/PNConfig', 'metakeywords', 's:218:"nuke, postnuke, postnuke, free, community, php, portal, opensource, open source, gpl, mysql, sql, database, web site, website, weblog, content management, contentmanagement, web content management, webcontentmanagement";'),
(6, '/PNConfig', 'dyn_keywords', 'i:0;'),
(7, '/PNConfig', 'startdate', 's:9:"09.2004";'),
(8, '/PNConfig', 'adminmail', 's:20:"postnuke@example.com";'),
(9, '/PNConfig', 'Default_Theme', 's:9:"ExtraLite";'),
(10, '/PNConfig', 'foot1', 's:785:"<br /><a href="http://www.postnuke.com"><img src="images/powered/postnuke.butn.gif" alt="Web site powered by PostNuke" /></a> <a href="http://php.weblogs.com/ADODB"><img src="images/powered/adodb2.gif" alt="ADODB database library" /></a> <a href="http://www.php.net"><img src="images/powered/php2.gif" alt="PHP Language" /></a><br /><br />All logos and trademarks in this site are property of their respective owner. The comments are property of their posters, all the rest (c) 2004 by me<br />This web site was made with <a href="http://www.postnuke.com">PostNuke</a>, a web portal system written in PHP. PostNuke is Free Software released under the <a href="http://www.gnu.org">GNU/GPL license</a>.<br />You can syndicate our news using the file <a href="backend.php">backend.php</a>";'),
(11, '/PNConfig', 'commentlimit', 'i:4096;'),
(12, '/PNConfig', 'anonymous', 's:9:"Anonymous";'),
(13, '/PNConfig', 'defaultgroup', 's:5:"Users";'),
(14, '/PNConfig', 'timezone_offset', 'i:12;'),
(15, '/PNConfig', 'nobox', 'i:0;'),
(16, '/PNConfig', 'funtext', 's:1:"0";'),
(17, '/PNConfig', 'reportlevel', 'i:0;'),
(18, '/PNConfig', 'startpage', 's:4:"News";'),
(19, '/PNConfig', 'admingraphic', 's:1:"1";'),
(20, '/PNConfig', 'admart', 'i:20;'),
(21, '/PNConfig', 'backend_title', 's:21:"PostNuke Powered Site";'),
(22, '/PNConfig', 'backend_language', 's:5:"en-us";'),
(23, '/PNConfig', 'seclevel', 's:6:"Medium";'),
(24, '/PNConfig', 'secmeddays', 'i:7;'),
(25, '/PNConfig', 'secinactivemins', 'i:10;'),
(26, '/PNConfig', 'Version_Num', 's:7:"0.7.5.0";'),
(27, '/PNConfig', 'Version_ID', 's:8:"PostNuke";'),
(28, '/PNConfig', 'Version_Sub', 's:7:"Phoenix";'),
(29, '/PNConfig', 'debug_sql', 'i:0;'),
(30, '/PNConfig', 'anonpost', 'i:0;'),
(31, '/PNConfig', 'minpass', 'i:5;'),
(32, '/PNConfig', 'pollcomm', 'i:1;'),
(33, '/PNConfig', 'minage', 'i:13;'),
(34, '/PNConfig', 'top', 'i:10;'),
(35, '/PNConfig', 'storyhome', 'i:10;'),
(36, '/PNConfig', 'banners', 'i:0;'),
(37, '/PNConfig', 'myIP', 's:12:"192.168.123.254";'),
(38, '/PNConfig', 'language', 's:3:"eng";'),
(39, '/PNConfig', 'locale', 's:5:"en_US";'),
(40, '/PNConfig', 'multilingual', 'i:1;'),
(41, '/PNConfig', 'useflags', 'i:0;'),
(42, '/PNConfig', 'perpage', 'i:10;'),
(43, '/PNConfig', 'popular', 'i:500;'),
(44, '/PNConfig', 'newlinks', 'i:10;'),
(45, '/PNConfig', 'toplinks', 'i:25;'),
(46, '/PNConfig', 'linksresults', 'i:10;'),
(47, '/PNConfig', 'links_anonaddlinklock', 'i:0;'),
(48, '/PNConfig', 'anonwaitdays', 'i:1;'),
(49, '/PNConfig', 'outsidewaitdays', 'i:1;'),
(50, '/PNConfig', 'useoutsidevoting', 'i:1;'),
(51, '/PNConfig', 'anonweight', 'i:10;'),
(52, '/PNConfig', 'outsideweight', 'i:20;'),
(53, '/PNConfig', 'detailvotedecimal', 'i:2;'),
(54, '/PNConfig', 'mainvotedecimal', 'i:1;'),
(55, '/PNConfig', 'toplinkspercentrigger', 'i:0;'),
(56, '/PNConfig', 'mostpoplinkspercentrigger', 'i:0;'),
(57, '/PNConfig', 'mostpoplinks', 'i:25;'),
(58, '/PNConfig', 'featurebox', 'i:1;'),
(59, '/PNConfig', 'linkvotemin', 'i:5;'),
(60, '/PNConfig', 'blockunregmodify', 'i:0;'),
(61, '/PNConfig', 'newdownloads', 'i:10;'),
(62, '/PNConfig', 'topdownloads', 'i:25;'),
(63, '/PNConfig', 'downloadsresults', 'i:10;'),
(64, '/PNConfig', 'downloads_anonadddownloadlock', 'i:1;'),
(65, '/PNConfig', 'topdownloadspercentrigger', 'i:0;'),
(66, '/PNConfig', 'mostpopdownloadspercentrigger', 'i:0;'),
(67, '/PNConfig', 'mostpopdownloads', 'i:25;'),
(68, '/PNConfig', 'downloadvotemin', 'i:5;'),
(69, '/PNConfig', 'notify', 'i:0;'),
(70, '/PNConfig', 'notify_email', 's:15:"me@yoursite.com";'),
(71, '/PNConfig', 'notify_subject', 's:16:"NEWS for my site";'),
(72, '/PNConfig', 'notify_message', 's:44:"Hey! You got a new submission for your site.";'),
(73, '/PNConfig', 'notify_from', 's:9:"webmaster";'),
(74, '/PNConfig', 'moderate', 'i:1;'),
(75, '/PNConfig', 'BarScale', 'i:1;'),
(76, '/PNConfig', 'tipath', 's:14:"images/topics/";'),
(77, '/PNConfig', 'userimg', 's:11:"images/menu";'),
(78, '/PNConfig', 'usergraphic', 'i:1;'),
(79, '/PNConfig', 'topicsinrow', 'i:5;'),
(80, '/PNConfig', 'httpref', 'i:1;'),
(81, '/PNConfig', 'httprefmax', 'i:1000;'),
(83, '/PNConfig', 'reasons', 'a:11:{i:0;s:5:"As Is";i:1;s:8:"Offtopic";i:2;s:9:"Flamebait";i:3;s:5:"Troll";i:4;s:9:"Redundant";i:5;s:10:"Insightful";i:6;s:11:"Interesting";i:7;s:11:"Informative";i:8;s:5:"Funny";i:9;s:9:"Overrated";i:10;s:10:"Underrated";}'),
(84, '/PNConfig', 'AllowableHTML', 'a:83:{s:3:"!--";s:1:"2";s:1:"a";s:1:"2";s:4:"abbr";i:0;s:7:"acronym";i:0;s:7:"address";i:0;s:6:"applet";i:0;s:4:"area";i:0;s:1:"b";s:1:"1";s:4:"base";i:0;s:8:"basefont";i:0;s:3:"bdo";i:0;s:3:"big";i:0;s:10:"blockquote";i:0;s:2:"br";s:1:"1";s:6:"button";i:0;s:7:"caption";i:0;s:6:"center";i:0;s:4:"cite";i:0;s:4:"code";i:0;s:3:"col";i:0;s:8:"colgroup";i:0;s:3:"del";i:0;s:3:"dfn";i:0;s:3:"dir";i:0;s:3:"div";i:0;s:2:"dl";i:0;s:2:"dd";i:0;s:2:"dt";i:0;s:2:"em";s:1:"1";s:5:"embed";i:0;s:8:"fieldset";i:0;s:4:"font";i:0;s:4:"form";i:0;s:2:"h1";i:0;s:2:"h2";i:0;s:2:"h3";i:0;s:2:"h4";i:0;s:2:"h5";i:0;s:2:"h6";i:0;s:2:"hr";s:1:"1";s:1:"i";s:1:"1";s:6:"iframe";i:0;s:3:"img";i:0;s:5:"input";i:0;s:3:"ins";i:0;s:3:"kbd";i:0;s:5:"label";i:0;s:6:"legend";i:0;s:2:"li";s:1:"1";s:3:"map";i:0;s:7:"marquee";i:0;s:4:"menu";i:0;s:4:"nobr";i:0;s:6:"object";i:0;s:2:"ol";s:1:"1";s:8:"optgroup";i:0;s:6:"option";i:0;s:1:"p";s:1:"1";s:5:"param";i:0;s:3:"pre";s:1:"1";s:1:"q";i:0;s:1:"s";i:0;s:4:"samp";i:0;s:6:"script";i:0;s:6:"select";i:0;s:5:"small";i:0;s:4:"span";i:0;s:6:"strike";i:0;s:6:"strong";s:1:"1";s:3:"sub";i:0;s:3:"sup";i:0;s:5:"table";s:1:"2";s:5:"tbody";i:0;s:2:"td";s:1:"2";s:8:"textarea";i:0;s:5:"tfoot";i:0;s:2:"th";s:1:"2";s:5:"thead";i:0;s:2:"tr";s:1:"2";s:2:"tt";s:1:"1";s:1:"u";i:0;s:2:"ul";s:1:"1";s:3:"var";i:0;}'),
(85, '/PNConfig', 'CensorList', 'a:14:{i:0;s:4:"fuck";i:1;s:4:"cunt";i:2;s:6:"fucker";i:3;s:7:"fucking";i:4;s:5:"pussy";i:5;s:4:"cock";i:6;s:4:"c0ck";i:7;s:3:"cum";i:8;s:4:"twat";i:9;s:4:"clit";i:10;s:5:"bitch";i:11;s:3:"fuk";i:12;s:6:"fuking";i:13;s:12:"motherfucker";}'),
(86, '/PNConfig', 'CensorMode', 'i:1;'),
(87, '/PNConfig', 'CensorReplace', 's:5:"*****";'),
(90, '/PNConfig', 'theme_change', 'i:0;'),
(91, 'Ratings', 'defaultstyle', 'outoffivestars'),
(92, 'Ratings', 'seclevel', 'medium'),
(93, '/PNConfig', 'intranet', 'i:0;'),
(94, 'Wiki', 'AllowedProtocols', 'http|https|mailto|ftp|news|gopher'),
(95, 'Wiki', 'ExtlinkNewWindow', ''),
(97, 'Wiki', 'IntlinkNewWindow', ''),
(98, 'Wiki', 'FieldSeparator', ''),
(99, 'Wiki', 'InlineImages', 'png|jpg|gif'),
(100, 'Blocks', 'collapseable', '1'),
(101, '/PNConfig', 'htmlentities', 's:1:"1";'),
(102, '/PNConfig', 'UseCompression', 'i:0;'),
(103, '/PNConfig', 'refereronprint', 'i:0;'),
(104, '/PNConfig', 'WYSIWYGEditor', 'i:0;'),
(105, '/PNConfig', 'storyorder', 's:1:"1";'),
(106, '/PNConfig', 'pnAntiCracker', 's:1:"1";'),
(107, '/PNConfig', 'reg_allowreg', 's:1:"1";'),
(108, '/PNConfig', 'reg_verifyemail', 's:1:"1";'),
(109, '/PNConfig', 'reg_Illegalusername', 's:87:"root adm linux webmaster admin god administrator administrador nobody anonymous anonimo"'),
(110, '/PNConfig', 'reg_noregreasons', 's:45:"Sorry, registration is disabled at this time.";'),
(111, '/PNConfig', 'reg_uniemail', 's:1:"1";'),
(118, 'Autolinks', 'itemsperpage', 'i:20;'),
(119, 'Autolinks', 'linkfirst', 'i:1;'),
(120, 'Autolinks', 'invisilinks', 'i:0;'),
(121, 'pnrender', 'compile_check', '1'),
(122, 'pnrender', 'force_compile', ''),
(123, 'pnrender', 'cache', ''),
(124, 'pnrender', 'lifetime', '3600'),
(125, 'typetool', 'enable', ''),
(126, 'typetool', 'language', 'language.js'),
(127, 'Mailer', 'mailertype', '1'),
(128, 'Mailer', 'charset', 'iso-8859-1'),
(129, 'Mailer', 'encoding', '8bit'),
(130, 'Mailer', 'contentype', 'text/plain'),
(131, 'Mailer', 'wordwrap', '50'),
(132, 'Mailer', 'msmailheaders', ''),
(133, 'Mailer', 'sendmailpath', '/usr/sbin/sendmail'),
(134, 'Mailer', 'smtpauth', '1'),
(135, 'Mailer', 'smtpserver', 'localhost'),
(136, 'Mailer', 'smtpport', '25'),
(137, 'Mailer', 'smtptimeout', '10'),
(138, 'Mailer', 'smtpusername', ''),
(139, 'Mailer', 'smtppassword', ''),
(140, 'Xanthia', 'rootpath', 'modules'),
(141, 'Xanthia', 'vba', ''),
(142, 'Xanthia', 'enablecache', ''),
(143, 'Xanthia', 'modulesnocache', ''),
(144, 'Xanthia', 'db_cache', ''),
(145, 'Xanthia', 'db_compile', ''),
(146, 'Xanthia', 'compile_check', ''),
(147, 'Xanthia', 'use_db', ''),
(148, 'Xanthia', 'cache_lifetime', '3600'),
(149, 'Xanthia', 'db_templates', '1'),
(150, 'Xanthia', 'block_control', ''),
(151, 'Xanthia', 'TopCenter', ''),
(152, 'Xanthia', 'BotCenter', ''),
(153, 'Xanthia', 'InnerBlock', ''),
(154, 'Xanthia', 'shorturls', ''),
(155, 'Xanthia', 'shorturlsextension', 'phtml'),
(156, 'Xanthia', 'shorturlsok', '1'),
(157, '/PNConfig', 'loadlegacy', 'i:0;'),
(158, '/PNConfig', 'newspager', 'i:0;');

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_modules`
-- 

CREATE TABLE `pn_modules` (
  `pn_id` int(11) unsigned NOT NULL auto_increment,
  `pn_name` varchar(64) NOT NULL default '',
  `pn_type` int(6) NOT NULL default '0',
  `pn_displayname` varchar(64) NOT NULL default '',
  `pn_description` varchar(255) NOT NULL default '',
  `pn_regid` int(11) unsigned NOT NULL default '0',
  `pn_directory` varchar(64) NOT NULL default '',
  `pn_version` varchar(10) NOT NULL default '0',
  `pn_admin_capable` tinyint(1) NOT NULL default '0',
  `pn_user_capable` tinyint(1) NOT NULL default '0',
  `pn_state` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`pn_id`)
) TYPE=MyISAM AUTO_INCREMENT=50 ;

-- 
-- Dumping data for table `pn_modules`
-- 

INSERT INTO `pn_modules` (`pn_id`, `pn_name`, `pn_type`, `pn_displayname`, `pn_description`, `pn_regid`, `pn_directory`, `pn_version`, `pn_admin_capable`, `pn_user_capable`, `pn_state`) VALUES (1, 'AvantGo', 1, 'AvantGo', 'News for your PDA', 2, 'AvantGo', '1.3', 0, 1, 3),
(2, 'Downloads', 1, 'Downloads', 'Files to download', 3, 'Downloads', '1.31', 1, 1, 3),
(3, 'FAQ', 1, 'FAQ', 'Frequently Asked Questions', 4, 'FAQ', '1.11', 1, 1, 3),
(4, 'Members_List', 1, 'Members List', 'Information on users of this site', 5, 'Members_List', '1.1', 0, 1, 3),
(5, 'Messages', 1, 'Messages', 'Private messages to users of this site', 6, 'Messages', '1.0', 0, 1, 3),
(6, 'AddStory', 1, 'AddStory', 'Add a story', 8, 'NS-AddStory', '1.0', 1, 0, 3),
(7, 'Admin', 1, 'Admin', 'Administration', 9, 'NS-Admin', '0.1', 1, 0, 3),
(8, 'Admin_Messages', 1, 'Admin Messages', 'Banner messages', 10, 'NS-Admin_Messages', '1.2', 1, 0, 3),
(9, 'Autolinks', 2, 'Autolinks', 'Automatically link keywords', 11, 'Autolinks', '1.01', 1, 0, 3),
(10, 'Banners', 1, 'Banners', 'Banners', 12, 'NS-Banners', '1.0', 1, 0, 3),
(11, 'Blocks', 2, 'Blocks', 'Side blocks', 13, 'Blocks', '2.0', 1, 0, 3),
(12, 'Comments', 1, 'Comments', 'Comment on articles', 14, 'NS-Comments', '1.1', 1, 1, 3),
(13, 'Ephemerids', 1, 'Ephemerids', 'Daily events', 15, 'NS-Ephemerids', '1.2', 1, 0, 3),
(14, 'Groups', 1, 'Groups', 'Set up administrative groups', 16, 'NS-Groups', '0.1', 1, 0, 3),
(15, 'Languages', 1, 'Languages', 'Multi-language functions', 17, 'NS-Languages', '1.2', 1, 0, 3),
(16, 'MailUsers', 1, 'MailUsers', 'Mail all/individual users on your site.', 19, 'NS-MailUsers', '1.3', 1, 0, 3),
(17, 'Modules', 2, 'Modules', 'Module configuration', 1, 'Modules', '2.0', 1, 0, 3),
(18, 'Permissions', 2, 'Permissions', 'Configure permissions', 22, 'Permissions', '0.4', 1, 0, 3),
(19, 'Polls', 1, 'Polls', 'Polls and surveys', 23, 'NS-Polls', '1.1', 1, 1, 3),
(20, 'Quotes', 2, 'Quotes', 'Quotes and sayings', 24, 'Quotes', '1.3', 1, 0, 3),
(21, 'Referers', 1, 'Referers', 'Referers', 25, 'NS-Referers', '1.2', 1, 0, 3),
(22, 'Settings', 1, 'Settings', 'Settings', 26, 'NS-Settings', '1.2', 1, 0, 3),
(23, 'News', 1, 'News', 'News items', 7, 'News', '1.3', 0, 1, 3),
(24, 'Recommend_Us', 1, 'Recommend Us', 'Recommend us to a friend', 30, 'Recommend_Us', '1.0', 0, 1, 3),
(25, 'Reviews', 1, 'Reviews', 'Reviews', 31, 'Reviews', '1.0', 1, 1, 3),
(26, 'Search', 1, 'Search', 'Search this site', 32, 'Search', '1.0', 0, 1, 3),
(27, 'Sections', 1, 'Sections', 'Sections', 33, 'Sections', '1.0', 1, 1, 3),
(28, 'Stats', 1, 'Stats', 'Site statistics', 34, 'Stats', '1.13', 0, 1, 3),
(29, 'Submit_News', 1, 'Submit News', 'Contribute a story', 35, 'Submit_News', '1.13', 1, 1, 3),
(30, 'Top_List', 1, 'Top List', 'Top 10 listings', 38, 'Top_List', '1.0', 1, 1, 3),
(31, 'Topics', 1, 'Topics', 'Article topics', 37, 'Topics', '1.0', 1, 1, 3),
(32, 'User', 1, 'Users', 'User Administration', 27, 'NS-User', '0.2', 1, 1, 3),
(33, 'Web_Links', 1, 'Web Links', 'Links to other sites', 39, 'Web_Links', '1.0', 1, 1, 3),
(34, 'Ratings', 2, 'Ratings', 'Ratings utility', 41, 'Ratings', '1.1', 1, 1, 3),
(35, 'Wiki', 2, 'Wiki', 'Wiki encoding', 28, 'Wiki', '1.0', 0, 0, 3),
(36, 'xmlrpc', 2, 'xmlrpc', 'XML-RPC utility module', 42, 'xmlrpc', '1.1', 0, 0, 3),
(37, 'legal', 1, 'Legal Documents', 'Generic Privacy Statement and Terms of Use', 43, 'legal', '1.0', 0, 1, 3),
(38, 'Censor', 2, 'Censor', 'Site Censorship Control', 0, 'Censor', '1.0', 1, 0, 3),
(39, 'Credits', 2, 'Credits', 'Display Module credits, license, help and contact information', 0, 'Credits', '1.1', 0, 1, 3),
(40, 'LostPassword', 1, 'LostPassword', 'Retrieve lost password of a user.', 18, 'NS-LostPassword', '0,5', 0, 0, 3),
(41, 'Multisites', 1, 'Multisites', '', 20, 'NS-Multisites', '', 0, 0, 2),
(42, 'NewUser', 1, 'NewUser', 'New User for postnuke.', 21, 'NS-NewUser', '0,5', 0, 0, 3),
(43, 'Past_Nuke', 1, 'Past_Nuke', 'Old PostNuke admin compatibility', 0, 'NS-Past_Nuke', '1.0', 1, 0, 2),
(44, 'Your_Account', 1, 'Your Account', 'User options', 0, 'NS-Your_Account', '0.8', 0, 0, 3),
(46, 'pnRender', 2, 'pnRender', 'The Smarty implementation for PostNuke', 0, 'pnRender', '1.0', 1, 0, 3),
(47, 'typetool', 2, 'typetool', 'TypeTool Visual Editor Implementation', 0, 'typetool', '8.0', 1, 0, 3),
(48, 'Mailer', 2, 'Mailer', 'Postnuke Mailer', 0, 'Mailer', '1.0', 1, 0, 3),
(49, 'Xanthia', 2, 'Xanthia', 'Xanthia Theme Engine', 0, 'Xanthia', '2.0', 1, 1, 3);

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_poll_check`
-- 

CREATE TABLE `pn_poll_check` (
  `pn_ip` varchar(20) NOT NULL default '',
  `pn_time` varchar(14) NOT NULL default ''
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_poll_check`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_poll_data`
-- 

CREATE TABLE `pn_poll_data` (
  `pn_pollid` int(11) NOT NULL default '0',
  `pn_optiontext` char(50) NOT NULL default '',
  `pn_optioncount` int(11) NOT NULL default '0',
  `pn_voteid` int(11) NOT NULL default '0'
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_poll_data`
-- 

INSERT INTO `pn_poll_data` (`pn_pollid`, `pn_optiontext`, `pn_optioncount`, `pn_voteid`) VALUES (2, '', 0, 12),
(2, '', 0, 11),
(2, '', 0, 10),
(2, '', 0, 9),
(2, '', 0, 8),
(2, '', 0, 7),
(2, '', 0, 6),
(2, '', 0, 5),
(2, '', 0, 4),
(2, 'What is PostNuke ?', 0, 3),
(2, 'It is what was needed.', 0, 2),
(2, 'Think? I use it!', 0, 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_poll_desc`
-- 

CREATE TABLE `pn_poll_desc` (
  `pn_pollid` int(11) NOT NULL auto_increment,
  `pn_title` varchar(100) NOT NULL default '',
  `pn_timestamp` int(11) NOT NULL default '0',
  `pn_voters` mediumint(9) NOT NULL default '0',
  `pn_language` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`pn_pollid`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `pn_poll_desc`
-- 

INSERT INTO `pn_poll_desc` (`pn_pollid`, `pn_title`, `pn_timestamp`, `pn_voters`, `pn_language`) VALUES (2, 'What do you think of PostNuke?', 995385085, 0, '');

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_pollcomments`
-- 

CREATE TABLE `pn_pollcomments` (
  `pn_tid` int(11) NOT NULL auto_increment,
  `pn_pid` int(11) default '0',
  `pn_pollid` int(11) default '0',
  `pn_date` datetime default NULL,
  `pn_name` varchar(60) NOT NULL default '',
  `pn_email` varchar(60) default NULL,
  `pn_url` varchar(254) default NULL,
  `pn_host_name` varchar(60) default NULL,
  `pn_subject` varchar(60) NOT NULL default '',
  `pn_comment` text NOT NULL,
  `pn_score` tinyint(4) NOT NULL default '0',
  `pn_reason` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`pn_tid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_pollcomments`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_priv_msgs`
-- 

CREATE TABLE `pn_priv_msgs` (
  `pn_msg_id` int(11) NOT NULL auto_increment,
  `pn_msg_image` varchar(100) default NULL,
  `pn_subject` varchar(100) default NULL,
  `pn_from_userid` int(11) NOT NULL default '0',
  `pn_to_userid` int(11) NOT NULL default '0',
  `pn_msg_time` varchar(20) default NULL,
  `pn_msg_text` text,
  `pn_read_msg` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`pn_msg_id`),
  KEY `pn_to_userid` (`pn_to_userid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_priv_msgs`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_queue`
-- 

CREATE TABLE `pn_queue` (
  `pn_qid` smallint(5) unsigned NOT NULL auto_increment,
  `pn_uid` mediumint(9) NOT NULL default '0',
  `pn_arcd` tinyint(1) NOT NULL default '0',
  `pn_uname` varchar(40) NOT NULL default '',
  `pn_subject` varchar(255) NOT NULL default '',
  `pn_story` text,
  `pn_timestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `pn_topic` varchar(20) NOT NULL default '',
  `pn_language` varchar(30) NOT NULL default '',
  `pn_bodytext` text,
  PRIMARY KEY  (`pn_qid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_queue`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_quotes`
-- 

CREATE TABLE `pn_quotes` (
  `pn_qid` int(10) unsigned NOT NULL auto_increment,
  `pn_quote` text,
  `pn_author` varchar(150) NOT NULL default '',
  PRIMARY KEY  (`pn_qid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_quotes`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_ratings`
-- 

CREATE TABLE `pn_ratings` (
  `pn_rid` int(10) NOT NULL auto_increment,
  `pn_module` varchar(32) NOT NULL default '',
  `pn_itemid` varchar(64) NOT NULL default '',
  `pn_ratingtype` varchar(64) NOT NULL default '',
  `pn_rating` double(6,5) NOT NULL default '0.00000',
  `pn_numratings` int(5) NOT NULL default '1',
  PRIMARY KEY  (`pn_rid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_ratings`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_ratingslog`
-- 

CREATE TABLE `pn_ratingslog` (
  `pn_id` varchar(32) NOT NULL default '',
  `pn_ratingid` varchar(64) NOT NULL default '',
  `pn_rating` int(3) NOT NULL default '0'
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_ratingslog`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_realms`
-- 

CREATE TABLE `pn_realms` (
  `pn_rid` int(11) NOT NULL auto_increment,
  `pn_name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`pn_rid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_realms`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_referer`
-- 

CREATE TABLE `pn_referer` (
  `pn_rid` int(11) NOT NULL auto_increment,
  `pn_url` varchar(254) NOT NULL default '',
  `pn_frequency` int(15) default NULL,
  PRIMARY KEY  (`pn_rid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_referer`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_related`
-- 

CREATE TABLE `pn_related` (
  `pn_rid` int(11) NOT NULL auto_increment,
  `pn_tid` int(11) NOT NULL default '0',
  `pn_name` varchar(30) NOT NULL default '',
  `pn_url` varchar(254) NOT NULL default '',
  PRIMARY KEY  (`pn_rid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_related`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_reviews`
-- 

CREATE TABLE `pn_reviews` (
  `pn_id` int(11) NOT NULL auto_increment,
  `pn_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `pn_title` varchar(150) NOT NULL default '',
  `pn_text` text NOT NULL,
  `pn_reviewer` varchar(20) default NULL,
  `pn_email` varchar(60) default NULL,
  `pn_score` int(11) NOT NULL default '0',
  `pn_cover` varchar(100) NOT NULL default '',
  `pn_url` varchar(254) NOT NULL default '',
  `pn_url_title` varchar(150) NOT NULL default '',
  `pn_hits` int(11) NOT NULL default '0',
  `pn_language` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`pn_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_reviews`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_reviews_add`
-- 

CREATE TABLE `pn_reviews_add` (
  `pn_id` int(11) NOT NULL auto_increment,
  `pn_date` datetime default NULL,
  `pn_title` varchar(150) NOT NULL default '',
  `pn_text` text NOT NULL,
  `pn_reviewer` varchar(20) NOT NULL default '',
  `pn_email` varchar(60) default NULL,
  `pn_score` int(11) NOT NULL default '0',
  `pn_url` varchar(254) NOT NULL default '',
  `pn_url_title` varchar(150) NOT NULL default '',
  `pn_language` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`pn_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_reviews_add`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_reviews_comments`
-- 

CREATE TABLE `pn_reviews_comments` (
  `pn_cid` int(11) NOT NULL auto_increment,
  `pn_rid` int(11) NOT NULL default '0',
  `pn_userid` varchar(25) NOT NULL default '',
  `pn_date` datetime default NULL,
  `pn_comments` text,
  `pn_score` int(11) NOT NULL default '0',
  PRIMARY KEY  (`pn_cid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_reviews_comments`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_reviews_main`
-- 

CREATE TABLE `pn_reviews_main` (
  `pn_title` varchar(100) default NULL,
  `pn_description` text
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_reviews_main`
-- 

INSERT INTO `pn_reviews_main` (`pn_title`, `pn_description`) VALUES ('Reviews Section Title', 'Reviews Section Long Description');

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_seccont`
-- 

CREATE TABLE `pn_seccont` (
  `pn_artid` int(11) NOT NULL auto_increment,
  `pn_secid` int(11) NOT NULL default '0',
  `pn_title` text NOT NULL,
  `pn_content` text NOT NULL,
  `pn_counter` int(11) NOT NULL default '0',
  `pn_language` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`pn_artid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_seccont`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_sections`
-- 

CREATE TABLE `pn_sections` (
  `pn_secid` int(11) NOT NULL auto_increment,
  `pn_secname` varchar(40) NOT NULL default '',
  `pn_image` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`pn_secid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_sections`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_session_info`
-- 

CREATE TABLE `pn_session_info` (
  `pn_sessid` varchar(32) NOT NULL default '',
  `pn_ipaddr` varchar(20) NOT NULL default '',
  `pn_firstused` int(11) NOT NULL default '0',
  `pn_lastused` int(11) NOT NULL default '0',
  `pn_uid` int(11) NOT NULL default '0',
  `pn_vars` blob,
  PRIMARY KEY  (`pn_sessid`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_session_info`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_stats_date`
-- 

CREATE TABLE `pn_stats_date` (
  `pn_date` varchar(80) NOT NULL default '',
  `pn_hits` int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_stats_date`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_stats_hour`
-- 

CREATE TABLE `pn_stats_hour` (
  `pn_hour` tinyint(2) unsigned NOT NULL default '0',
  `pn_hits` int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_stats_hour`
-- 

INSERT INTO `pn_stats_hour` (`pn_hour`, `pn_hits`) VALUES (0, 0),
(1, 0),
(2, 0),
(3, 0),
(4, 0),
(5, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(11, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(16, 0),
(17, 0),
(18, 0),
(19, 0),
(20, 0),
(21, 0),
(22, 0),
(23, 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_stats_month`
-- 

CREATE TABLE `pn_stats_month` (
  `pn_month` tinyint(2) unsigned NOT NULL default '0',
  `pn_hits` int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_stats_month`
-- 

INSERT INTO `pn_stats_month` (`pn_month`, `pn_hits`) VALUES (1, 0),
(2, 0),
(3, 0),
(4, 0),
(5, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(11, 0),
(12, 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_stats_week`
-- 

CREATE TABLE `pn_stats_week` (
  `pn_weekday` tinyint(1) unsigned NOT NULL default '0',
  `pn_hits` int(11) unsigned NOT NULL default '0'
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_stats_week`
-- 

INSERT INTO `pn_stats_week` (`pn_weekday`, `pn_hits`) VALUES (0, 0),
(1, 0),
(2, 0),
(3, 0),
(4, 0),
(5, 0),
(6, 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_stories`
-- 

CREATE TABLE `pn_stories` (
  `pn_sid` int(11) NOT NULL auto_increment,
  `pn_catid` int(11) NOT NULL default '0',
  `pn_aid` varchar(30) NOT NULL default '',
  `pn_title` varchar(255) default NULL,
  `pn_time` datetime default NULL,
  `pn_hometext` text,
  `pn_bodytext` text NOT NULL,
  `pn_comments` int(11) default '0',
  `pn_counter` mediumint(8) unsigned default NULL,
  `pn_topic` tinyint(4) NOT NULL default '1',
  `pn_informant` varchar(20) NOT NULL default '',
  `pn_notes` text NOT NULL,
  `pn_ihome` tinyint(1) NOT NULL default '0',
  `pn_themeoverride` varchar(30) NOT NULL default '',
  `pn_language` varchar(30) NOT NULL default '',
  `pn_withcomm` tinyint(1) NOT NULL default '0',
  `pn_format_type` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`pn_sid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_stories`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_stories_cat`
-- 

CREATE TABLE `pn_stories_cat` (
  `pn_catid` int(11) NOT NULL auto_increment,
  `pn_title` varchar(40) NOT NULL default '',
  `pn_counter` int(11) NOT NULL default '0',
  `pn_themeoverride` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`pn_catid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_stories_cat`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_theme_addons`
-- 

CREATE TABLE `pn_theme_addons` (
  `pn_addon_id` int(11) unsigned NOT NULL auto_increment,
  `pn_block_id` int(11) unsigned NOT NULL default '0',
  `pn_addonname` varchar(25) NOT NULL default '',
  `pn_block_function` varchar(200) NOT NULL default '',
  KEY `pn_addon_id` (`pn_addon_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_theme_addons`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_theme_blcontrol`
-- 

CREATE TABLE `pn_theme_blcontrol` (
  `pn_module` varchar(32) NOT NULL default '',
  `pn_block` varchar(32) NOT NULL default '',
  `pn_theme` varchar(32) NOT NULL default '',
  `pn_identi` varchar(32) NOT NULL default '',
  `pn_pos` varchar(4) NOT NULL default '',
  `pn_weight` decimal(10,1) NOT NULL default '1.0',
  `pn_template` varchar(50) NOT NULL default '',
  `pn_active` tinyint(1) NOT NULL default '1',
  `pn_always` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`pn_block`,`pn_module`,`pn_theme`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_theme_blcontrol`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_theme_cache`
-- 

CREATE TABLE `pn_theme_cache` (
  `cache_id` varchar(32) NOT NULL default '',
  `cache_contents` mediumtext NOT NULL,
  PRIMARY KEY  (`cache_id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_theme_cache`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_theme_config`
-- 

CREATE TABLE `pn_theme_config` (
  `skin_id` int(1) NOT NULL default '1',
  `name` varchar(200) NOT NULL default '',
  `description` varchar(60) NOT NULL default '',
  `setting` varchar(10) NOT NULL default '',
  `data` varchar(150) NOT NULL default ''
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_theme_config`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_theme_layout`
-- 

CREATE TABLE `pn_theme_layout` (
  `skin_id` int(11) NOT NULL default '0',
  `zone_label` varchar(20) NOT NULL default '',
  `tpl_file` varchar(20) NOT NULL default '',
  `skin_type` varchar(8) NOT NULL default 'theme',
  KEY `skin_id` (`skin_id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_theme_layout`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_theme_palette`
-- 

CREATE TABLE `pn_theme_palette` (
  `palette_id` int(11) unsigned NOT NULL auto_increment,
  `palette_name` varchar(32) NOT NULL default '',
  `skin_id` int(11) NOT NULL default '0',
  `pn_module` varchar(32) NOT NULL default '',
  `all_themes` tinyint(1) NOT NULL default '1',
  `background` varchar(12) NOT NULL default '#FFFFFF',
  `color1` varchar(12) NOT NULL default '#FFFFFF',
  `color2` varchar(12) NOT NULL default '#FFFFFF',
  `color3` varchar(12) NOT NULL default '#FFFFFF',
  `color4` varchar(12) NOT NULL default '#FFFFFF',
  `color5` varchar(12) NOT NULL default '#FFFFFF',
  `color6` varchar(12) NOT NULL default '#000000',
  `color7` varchar(12) NOT NULL default '#000000',
  `color8` varchar(12) NOT NULL default '#000000',
  `sepcolor` varchar(12) NOT NULL default '#000000',
  `text1` varchar(12) NOT NULL default '#000000',
  `text2` varchar(12) NOT NULL default '#000000',
  `link` varchar(12) NOT NULL default '#000000',
  `vlink` varchar(12) NOT NULL default '#000000',
  `hover` varchar(12) NOT NULL default '#000000',
  PRIMARY KEY  (`palette_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_theme_palette`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_theme_skins`
-- 

CREATE TABLE `pn_theme_skins` (
  `skin_id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(200) NOT NULL default '',
  `is_active` int(1) NOT NULL default '0',
  `is_multicolor` int(1) NOT NULL default '0',
  PRIMARY KEY  (`skin_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_theme_skins`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_theme_tplfile`
-- 

CREATE TABLE `pn_theme_tplfile` (
  `tpl_id` mediumint(7) unsigned NOT NULL auto_increment,
  `tpl_skin_id` smallint(5) unsigned NOT NULL default '0',
  `tpl_module` varchar(25) NOT NULL default '',
  `tpl_skin_name` varchar(50) NOT NULL default '',
  `tpl_file` varchar(50) NOT NULL default '',
  `tpl_desc` varchar(255) NOT NULL default '',
  `tpl_lastmodified` int(10) unsigned NOT NULL default '0',
  `tpl_lastimported` int(10) unsigned NOT NULL default '0',
  `tpl_type` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`tpl_id`),
  KEY `tpl_skin_id` (`tpl_skin_id`,`tpl_type`),
  KEY `tpl_skin_name` (`tpl_skin_name`,`tpl_file`(10))
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_theme_tplfile`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_theme_tplsource`
-- 

CREATE TABLE `pn_theme_tplsource` (
  `tpl_id` int(11) unsigned NOT NULL auto_increment,
  `tpl_skin_id` int(11) unsigned NOT NULL default '0',
  `tpl_file_name` varchar(200) NOT NULL default '',
  `tpl_source` mediumtext NOT NULL,
  `tpl_secure` tinyint(1) NOT NULL default '1',
  `tpl_trusted` tinyint(1) NOT NULL default '1',
  `tpl_timestamp` timestamp(14) NOT NULL,
  KEY `tpl_id` (`tpl_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_theme_tplsource`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_theme_zones`
-- 

CREATE TABLE `pn_theme_zones` (
  `zone_id` int(3) NOT NULL auto_increment,
  `skin_id` int(3) NOT NULL default '1',
  `name` varchar(40) NOT NULL default 'No Name',
  `label` varchar(20) NOT NULL default 'addon',
  `type` int(1) NOT NULL default '1',
  `is_active` int(1) NOT NULL default '0',
  `skin_type` varchar(8) NOT NULL default 'theme',
  PRIMARY KEY  (`zone_id`),
  KEY `type` (`type`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_theme_zones`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_topics`
-- 

CREATE TABLE `pn_topics` (
  `pn_topicid` tinyint(4) NOT NULL auto_increment,
  `pn_topicname` varchar(255) default NULL,
  `pn_topicimage` varchar(255) default NULL,
  `pn_topictext` varchar(255) default NULL,
  `pn_counter` int(11) NOT NULL default '0',
  PRIMARY KEY  (`pn_topicid`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `pn_topics`
-- 

INSERT INTO `pn_topics` (`pn_topicid`, `pn_topicname`, `pn_topicimage`, `pn_topictext`, `pn_counter`) VALUES (2, 'Linux', 'linux.gif', 'Linux', 0),
(1, 'PostNuke', 'PostNuke.gif', 'PostNuke', 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_user_data`
-- 

CREATE TABLE `pn_user_data` (
  `pn_uda_id` int(11) NOT NULL auto_increment,
  `pn_uda_propid` int(11) NOT NULL default '0',
  `pn_uda_uid` int(11) NOT NULL default '0',
  `pn_uda_value` mediumblob NOT NULL,
  PRIMARY KEY  (`pn_uda_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_user_data`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_user_perms`
-- 

CREATE TABLE `pn_user_perms` (
  `pn_pid` int(11) NOT NULL auto_increment,
  `pn_uid` int(11) NOT NULL default '0',
  `pn_sequence` int(6) NOT NULL default '0',
  `pn_realm` int(4) NOT NULL default '0',
  `pn_component` varchar(255) NOT NULL default '',
  `pn_instance` varchar(255) NOT NULL default '',
  `pn_level` int(4) NOT NULL default '0',
  `pn_bond` int(2) NOT NULL default '0',
  PRIMARY KEY  (`pn_pid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `pn_user_perms`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_user_property`
-- 

CREATE TABLE `pn_user_property` (
  `pn_prop_id` int(11) NOT NULL auto_increment,
  `pn_prop_label` varchar(255) NOT NULL default '',
  `pn_prop_dtype` int(11) NOT NULL default '0',
  `pn_prop_length` int(11) NOT NULL default '255',
  `pn_prop_weight` int(11) NOT NULL default '0',
  `pn_prop_validation` varchar(255) default NULL,
  PRIMARY KEY  (`pn_prop_id`),
  UNIQUE KEY `pn_prop_label` (`pn_prop_label`)
) TYPE=MyISAM AUTO_INCREMENT=17 ;

-- 
-- Dumping data for table `pn_user_property`
-- 

INSERT INTO `pn_user_property` (`pn_prop_id`, `pn_prop_label`, `pn_prop_dtype`, `pn_prop_length`, `pn_prop_weight`, `pn_prop_validation`) VALUES (1, '_UREALNAME', 0, 255, 1, NULL),
(2, '_UREALEMAIL', -1, 255, 2, NULL),
(3, '_UFAKEMAIL', 0, 255, 3, NULL),
(4, '_YOURHOMEPAGE', 0, 255, 4, NULL),
(5, '_TIMEZONEOFFSET', 0, 255, 5, NULL),
(6, '_YOURAVATAR', 0, 255, 6, NULL),
(7, '_YICQ', 0, 255, 7, NULL),
(8, '_YAIM', 0, 255, 8, NULL),
(9, '_YYIM', 0, 255, 9, NULL),
(10, '_YMSNM', 0, 255, 10, NULL),
(11, '_YLOCATION', 0, 255, 11, NULL),
(12, '_YOCCUPATION', 0, 255, 12, NULL),
(13, '_YINTERESTS', 0, 255, 13, NULL),
(14, '_SIGNATURE', 0, 255, 14, NULL),
(15, '_EXTRAINFO', 0, 255, 15, NULL),
(16, '_PASSWORD', -1, 255, 16, NULL);

-- --------------------------------------------------------

-- 
-- Table structure for table `pn_userblocks`
-- 

CREATE TABLE `pn_userblocks` (
  `pn_uid` int(11) NOT NULL default '0',
  `pn_bid` int(11) NOT NULL default '0',
  `pn_active` tinyint(3) NOT NULL default '1',
  `pn_last_update` timestamp(14) NOT NULL
) TYPE=MyISAM;

-- 
-- Dumping data for table `pn_userblocks`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `pn_users`
-- 

CREATE TABLE `pn_users` (
  `pn_uid` int(11) NOT NULL auto_increment,
  `pn_name` varchar(60) NOT NULL default '',
  `pn_uname` varchar(25) NOT NULL default '',
  `pn_email` varchar(60) NOT NULL default '',
  `pn_femail` varchar(60) NOT NULL default '',
  `pn_url` varchar(254) NOT NULL default '',
  `pn_user_avatar` varchar(30) default NULL,
  `pn_user_regdate` varchar(20) NOT NULL default '',
  `pn_user_icq` varchar(15) default NULL,
  `pn_user_occ` varchar(100) default NULL,
  `pn_user_from` varchar(100) default NULL,
  `pn_user_intrest` varchar(150) default NULL,
  `pn_user_sig` varchar(255) default NULL,
  `pn_user_viewemail` tinyint(2) default NULL,
  `pn_user_theme` tinyint(3) default NULL,
  `pn_user_aim` varchar(18) default NULL,
  `pn_user_yim` varchar(25) default NULL,
  `pn_user_msnm` varchar(25) default NULL,
  `pn_pass` varchar(40) NOT NULL default '',
  `pn_storynum` tinyint(4) NOT NULL default '10',
  `pn_umode` varchar(10) NOT NULL default '',
  `pn_uorder` tinyint(1) NOT NULL default '0',
  `pn_thold` tinyint(1) NOT NULL default '0',
  `pn_noscore` tinyint(1) NOT NULL default '0',
  `pn_bio` tinytext NOT NULL,
  `pn_ublockon` tinyint(1) NOT NULL default '0',
  `pn_ublock` text NOT NULL,
  `pn_theme` varchar(255) NOT NULL default '',
  `pn_commentmax` int(11) NOT NULL default '4096',
  `pn_counter` int(11) NOT NULL default '0',
  `pn_timezone_offset` float(3,1) NOT NULL default '0.0',
  PRIMARY KEY  (`pn_uid`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `pn_users`
-- 

INSERT INTO `pn_users` (`pn_uid`, `pn_name`, `pn_uname`, `pn_email`, `pn_femail`, `pn_url`, `pn_user_avatar`, `pn_user_regdate`, `pn_user_icq`, `pn_user_occ`, `pn_user_from`, `pn_user_intrest`, `pn_user_sig`, `pn_user_viewemail`, `pn_user_theme`, `pn_user_aim`, `pn_user_yim`, `pn_user_msnm`, `pn_pass`, `pn_storynum`, `pn_umode`, `pn_uorder`, `pn_thold`, `pn_noscore`, `pn_bio`, `pn_ublockon`, `pn_ublock`, `pn_theme`, `pn_commentmax`, `pn_counter`, `pn_timezone_offset`) VALUES (1, '', 'Anonymous', '', '', '', 'blank.gif', '1094048437', '', '', '', '', '', 0, 0, '', '', '', '', 10, '', 0, 0, 0, '', 0, '', '', 4096, 0, 12.0),
(2, 'Admin', 'Admin', 'postnuke@example.com', '', 'http://www.postnuke.com', 'blank.gif', '1094048437', '', '', '', '', '', 0, 0, '', '', '', 'dc647eb65e6711e155375218212b3964', 10, '', 0, 0, 0, '', 0, '', '', 4096, 0, 12.0);
